/* Table of constant values */

static int c__4 = 4;

int main(void)
{
    /* Initialized data */

    static double a[16]     /* was [4][4] */ = { 1.,.42,.54,.66,.42,1.,
                            .32,.44,.54,.32,1.,.22,.66,.44,.22,1. };
    /* Local variables */
    static int ierr;
    extern int aeh1d_c(int *, double *, double *, double *, double *, int *);
    static int i__;
    static double v[16]  /* was [4][4] */, ev[4], rab[4];

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]
#define v_ref(a_1,a_2) v[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    aeh1d_c(&c__4, a, ev, v, rab, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %10.2e %10.2e %10.2e %10.2e \n",
            a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    printf("\n %24.14e %24.14e \n %24.14e %24.14e \n",
            ev[0], ev[1], ev[2], ev[3]);
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            v_ref(i__, 1), v_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            v_ref(i__, 3), v_ref(i__, 4));
    }
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef v_ref
#undef a_ref
